summaryrefslogtreecommitdiffstats
path: root/abs/extra/smartmontools/smartd
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra/smartmontools/smartd')
-rw-r--r--abs/extra/smartmontools/smartd35
1 files changed, 35 insertions, 0 deletions
diff --git a/abs/extra/smartmontools/smartd b/abs/extra/smartmontools/smartd
new file mode 100644
index 0000000..5fcc414
--- /dev/null
+++ b/abs/extra/smartmontools/smartd
@@ -0,0 +1,35 @@
+#!/bin/bash
+
+ . /etc/rc.conf
+ . /etc/rc.d/functions
+
+ case "$1" in
+
+ start)
+ stat_busy "Starting smartd"
+ /usr/sbin/smartd &>/dev/null
+ if [ $? -ne 0 ]; then
+ stat_fail
+ else
+ add_daemon smartd
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping smartd"
+ kill -9 `pidof /usr/sbin/smartd` &>/dev/null
+ rm_daemon smartd
+ stat_done
+ ;;
+
+ restart)
+ stat_busy "Restarting smartd ..."
+ $0 stop
+ $0 start
+ stat_done
+ ;;
+
+ *)
+ echo "usage: $0 {start|stop|restart}"
+ esac